Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
maccarone_cheese Posted on 03/04/2020 17:13
Edited On: 03/04/2020 17:15Buying a house
 
Hi all,

I know there are more important things going on in the world at the moment and I don't want to come across as being insensitive, as I know I'm in a pretty fortunate position.

My girlfriend and I are currently in the process of buying our first house. Our offer was accepted in December but due to the vendors not getting other houses they were after the sale is still ongoing. We've agreed a price, which was the asking price, have had the survey and checks done and have a mortgage offer which isn't much more per month than we currently pay in rent. We both love the house but are now concerned about price crashing and being in negative equity, when there's no real rush to move, other than to own a place and get on with our lives.

Would we be mad to proceed without majorly reducing our offer? I don't think the vendors necessarily need to move either so I'm not convinced they'll drop the price currently either.

Any thoughts or advice would be much appreciated. Again, apologies if this comes across as insensitive, as I know I'm in a fortunate position and I'm genuinely concerned for friends, family and anyone else that the pandemic is going to seriously impact.
IP: Logged
Ticker_Tape Posted on 03/04/2020 17:18

Buying a house
Might be a long wait yet .
IP: Logged
Corcaigh_the_Cat Posted on 03/04/2020 17:25

Buying a house
Don't be a chunt, either pay what you agreed or walk away, but give the sellers plenty of notice.

They're people too.
IP: Logged
Paul66 Posted on 03/04/2020 19:09

Buying a house

im selling a house at the moment, if the buyers try to re-negotiate the price ill refuse and also refuse to sell it to them.

negative equity is temporary and only an issue if you need to sell, youre possibly going to get a better mortgage deal in the current situation so youre actually better off, if you both love the house and youre happy with the mortgage payments why worry about what it is theoretically worth to someone else
IP: Logged
Cleveleyssmoggie Posted on 03/04/2020 21:27

Buying a house
Look after number one, do what is right for you.

The delay is on their side of the deal so in the current climate they maybe disappointed but can’t justifiably complain.
IP: Logged
TheFair86 Posted on 03/04/2020 21:33

Buying a house
Negative equity would only matter if you would look to move in the next few years

You probably wont have much negotiating power if you try reduce price, its not like you can go and view/get surveys done/get valuations done easily etc.

Most banks are managing their existing pipeline and will be doing very little "new" lending right now, and those that they do offer on will be lower LTV than before, so you probably have few cards to play.
IP: Logged
myfooty Posted on 03/04/2020 21:38
Edited On: 04/04/2020 00:07
Buying a house
You are unlikely to get a mortgages for property that would be in negative equity.
IP: Logged
Emmersons_BrazillianDong Posted on 03/04/2020 21:53

Buying a house
I believe people will react negatively to this if you try. Whilst its a bit if a chunts trick anyway; I think the unprecedented circumstances will make people feel less isolated in their situation and they may just fcuk you off.

Depending on the size of the chain - you may not actually get the sale through anyway as people's circumstances may have changed significantly on the other end of all of this

Totally up to you really.
IP: Logged
T_A_D Posted on 04/04/2020 04:58

Buying a house
maccarone_cheese: I don't think you need to be too apologetic for asking the question, many will be in the same boat. I am in the same position as you, very close to exchange of contracts.

In my view it depends on whether you view it as a long term purchase and whether you income is secure.

Negative equity is mentioned.... and the fact that you may not get a mortgage. Well, as you're proceeding you're mortgage offer is agreed and should be honoured, so that's good. As for future mortgage offers.... you can't really get into the mindset of "I may be in negative equity when I try to re-mortgage".... it could happen at any time due to unforeseen reasons. You'd never buy a house!

If you're buying it to live in for a number of years, your income is secure, and your agreed mortgage can deal with any increases in interest rate (depending on rate, term etc) I'd say go for it.

You can gamble on house prices dropping (maybe, far from my area of expertise) but when the market does pick up many will be priced out through unemployment (very sadly) and those who are buying (likely those whose income has survived this) will be in competition for what will still be a limited number of properties (supply and demand, we ain't building many at the moment).

I am in the process of buying at the moment. Luckily no chain and seller has vacated. Valuation, thorough survey, and mortgage agreed. I contacted seller direct to let them know I am committed to the purchase at the agreed price. My position is my job is (currently) secure (though longer term who knows), I am planning on being there many years 5-10 (maybe longer), I have a fall-back if it goes tits up (I will get paid for a while if it goes tits up and I have savings), my mortgage is comfortable, and I back myself to get something else job-wise if it goes more than tits up.

For you, assess your situation.... if your income is secure, mortgage repayments are comfortable, and you don't plan on moving anytime soon I'd go for it (just my view).

The economic fallout of this will be awful and, depending on your ability to put down a deposit, if you don't buy now your ability to buy from here onwards may be restricted anyway.
IP: Logged
ExFootyLegs Posted on 04/04/2020 07:23
Edited On: 04/04/2020 07:27
Buying a house
Maccarone

Good post by T A D

however, the risk of walking in to this purchase is huge

I have just remortgaged. It went through on 1st March 👍👍
We have loads of equity fortunately

I fully expect a massive recession after this and house prices to drop because if people can’t afford to buy then people sat on houses with big equity will reduce for a sale therefore reducing the market

Why is this important for you?

1, you may well be now overpaying for this property (I don’t think though that they will drop their price)
2, if you have a 3 year fixed deal (for example). In 3 years time when you have to remortgage The mortgage company will want a valuation before making you an offer on a new deal and if you have negative equity then the deal will either be for only part of your mortgage upto the perceived value.

For example. House values at 200k. Mortgage is 230k offer is for Cover upto only 200k .
Meaning you’d have to stay with your current mortgage lender on standard boe terms (expensive) or the next best deal your lender is willing to offer you which may well be very poor.

We live in unprecedented times. If I were in your position I reckon I’d now be forced to pull back and watch and wait

Just my opinion
IP: Logged
fridgeman Posted on 04/04/2020 07:48

Buying a house
If you concentrate fully on your move and try putting everything else thats going on to one side.

I would personally wait until you get a clear picture of what is going on, if in two months time house sales have stalled, unemployment goes up, we have a recession, then there is little doubt house prices will fall, it could be dramatically, so if the house you are buying is lets say £100k and falls down to lets say 75k at the time of swapping contracts then paying someone 100k is a pretty foolish thing to do.

There is no guarantee house prices will pick up the slack quickly either, my wife and I bought ours in 2006 at the height of prices, we really stretched our finances, 12 months later we hit negative equity and only seen the house return to its original price last year, after this is all over we could be in negative equity again.

Go with your gut, I personally would either pull the plug now or put the whole thing on hold, in normal circumstances I would not have said that but these truly are exceptional circumstances, life will take a long time to get back to normal and it remains to be seen if the impact of this virus will wipe off thousands of pounds from peoples homes, you have a right to be concerned, I would not try to take advantage of this situation but at the same time be very cautious.
IP: Logged
truck Posted on 04/04/2020 16:21

Buying a house
As a few have said under the present circumstances i would be putting it on hold. While saying prepared to honour agreed deal, you do have to look after yourself.
IF as looks likely we have a lock down for two months e.g. late May, how many businesses will make it back despite the support being offered. How many people are potentially 2 months away from being broke, house repossessions, and a massive recession setting in?
Given that, why would anyone agree to buy something at higher than market value? where the effect of interest over 25 years means you pay twice the loan back, and potentially could lock you into a property that if wanted to sell sees the value well below what you paid, purely as you wanted to do the honourable thing? The mortgage company may want to re-value anyway regardless of whats agreed now.(if they can) as the property is only worth what people prepared to pay.

When housing was booming, and vendors raised the price at the last minute they were criticised, but when you are looking at overpaying by thousands..think hard.

Currently there will be nil viewings, there are 5 properties immediately opposite my house all for sale some already less than what they paid 30 months ago (new builds), and will probably have to drop even further. There are still new houses being built to finish off the developments and big incentives being offered / prices being adjusted.

As others have said if buying long term, the economy holds up, jobs hold up then a few thousand here or there can be ignored. If anyone is thinking short term 5 years or so again be very careful on what is paid,
IP: Logged
T_A_D Posted on 04/04/2020 16:49

Buying a house
truck: "As others have said if buying long term, the economy holds up, jobs hold up then a few thousand here or there can be ignored. If anyone is thinking short term 5 years or so again be very careful on what is paid,"

Yeah, would agree with this. It depends on personal circumstances. If you have doubts about your job security then certainly put it on hold. If you have enough cash to put forward a sizeable % deposit then holding off may be a wise choice as if/when prices drop you'll still be in a position to buy.

Banks will certainly be lending less and % deposits will need to be higher. Even with dropping house prices it may be difficult for people without large deposits to get a mortgage, meaning they won't be able to get 'on the ladder' for longer, that will have an impact on their long term plans.

Think carefully, consider your options, and if you have to pull out then do. You are not legally tied in at this stage and circumstances have obviously changed.
IP: Logged
Halle_Burton Posted on 04/04/2020 17:10
Edited On: 04/04/2020 17:19
Buying a house
Look after yourselves first and foremost.
Id go along with Fridgeman post and hang off until things "eventually" start to settle down.
Or do as corcaigh advises and pay top price today and have negative equity for a few years, good old staunch Labour policies shining through.
IP: Logged
br14 Posted on 04/04/2020 21:18
Edited On: 04/04/2020 21:19
Buying a house
"Don't be a chunt, either pay what you agreed or walk away"

As a seller I think I'd like to opportunity to review the selling price if I thought someone would walk away. Better to make less profit than lose a sale in this economic climate. You might never sell.

Wouldn't you?

Someone buying a house now has to consider what happens when the economy moves into depression (as is almost certainly going to happen). Already I've read articles suggesting house prices will drop 10%. It could be more than that in a worst case scenario.

The government needs to get those anti-body tests and quick so we can find out how many people are infected and plan accordingly.
IP: Logged
Alvez_48 Posted on 04/04/2020 23:16

Buying a house
Seriously...

It's your first house and we could easily see 25% lower house prices in 6 months.

Take an example of a 200k house..That's 50k.

Ye the price will go back up eventually (though there's no guarantee of that) but you would still have lost out on the 50k you might well save from waiting and another 50k if prices recovered to 200k on that house.

You've got to weigh that up vs the odds of prices increasing and how much you really want the house.

I'd say prices going up are essentially 0% chance but theres a fair chance you lose the house your asking about.
IP: Logged
Paul66 Posted on 04/04/2020 23:23

Buying a house

i bought my current house in 2008

it hasnt lost a penny

identical house sold in 2015 for what we paid for ours

take into account extra rent also

just get on with your lives rather than worrying what if what if
IP: Logged
boro_boy1984 Posted on 04/04/2020 23:38

Buying a house
your house wont lose its value by much if anything

if i was the seller and someone came in with a lower offer i would tell them to do one.
IP: Logged
boro_boy1984 Posted on 04/04/2020 23:42

Buying a house
your house wont lose its value by much if anything

if i was the seller and someone came in with a lower offer i would tell them to do one.
IP: Logged
Emmersons_BrazillianDong Posted on 04/04/2020 23:55

Buying a house
There's a lot of people fantasizing about property prices dropping as there always are.

Of course its a possibility if there's a huge recession but in the few months before Corona Virus Houses were climbing higher than they had been for two years (see article) There's a fair bit of Brexit uncertainty built into this too.

In this country we are so intrinsically motivated by property prices that there is no sense to the market.

People won't accept much lower offers in great droves that drives down prices. WE simply sit and wait knowing full well that patience will pay off. It's my opinion of course but people will cut their noses to without hesitation rather than sell for silly money.

It's a very simple equation really. We're obsessed with owning our own homes and yet there are nowhere near enough properties available in this country for those of wishing to own.

Supply is much lower than demand and you cannot beat basic economics.

The biggest growth in the country over the last few years has come from places outside of London playing catch up.

Good luck either way but don't latch onto people who predict a house price crash because there's been people wishing and hoping for this for 30 years or more. This isn't going to be 2007/8 again.

Link: Here
IP: Logged
brattleboro Posted on 06/04/2020 13:28

Buying a house
if youve agreed the price for the house and you are happy with the house,even considering changeing your price tells me a lot about you.[|)]
IP: Logged
1finny Posted on 06/04/2020 13:48

Buying a house
According to the Global Consultancy Knight Frank - prices will drop circa 3% and recover next year.

House Sales, likely to collapse in short term tho.

My lads just trying to exchange contracts in London - decided to stick with it.
IP: Logged
boromike85 Posted on 06/04/2020 13:56

Buying a house
We moved house 8 weeks ago and I don't regret it at all. I'd rather the risk of negative equity than missing out on the house I wanted anyway.

As EBD says above, people don't sell their house on the cheap. It just doesn't happen. People just wait it out. The issue is from people not being able to pay their mortgage so the banks take them and then they sell below market rate to get rid but there are still way more people that want houses than there are houses. The banks selling would still want as much as possible. Houses never go on sale.

I have friends who were very close to completing. Some the house values are low so any potential drop won't make much difference compared to what they'd lose from what they've already spent on legal fees and surveys etc. The others really want the house and they were already in a ridiculous situation where they were getting £20k above asking price within 1 day of being on the market.

If I hadn't found a house and started the process (or my job was at risk etc) then I'd hold off otherwise I'd just carry on.

IP: Logged
flute_loop Posted on 07/04/2020 06:32
Edited On: 07/04/2020 09:27
Buying a house
I haven't read all this thread but personally I would walk away from any house purchase right now. If this goes on for a significant period of time then the housing market is going to look significantly different on the other side. First and foremost you need to look after yourself.

I'm not sure which area you are buying in but certain areas still haven't recovered from 08/09 crash.
IP: Logged
The_GOAT Posted on 07/04/2020 08:27

Buying a house
I'm buying a new build and through the sheer ineptitude of the solicitors, I had not completed before this happened.

We've placed it on hold for now. We have the deposit etc but I've also lost my job (mainly due to he oil war) so it makes sense to ride it out and pay at the end. I'm in a position whereby the builders are getting zero footfall anyway do I'm not in a pressurised position, although they tried to put me in one before this all accelerated to where we are now.
IP: Logged
MAD_POG Posted on 08/04/2020 03:55

Buying a house
To be honest you may not be able to buy anyway.
Lenders are already withdrawing mortgage offers even for some people that have exchanged.

The reason is one of the clauses states you have to inform them of any changes to your employment and they can withdraw the offer if deemed unaffordable now.

Many smaller specialist lenders have withdrawn all mortgages completely and mainstream lenders restricted lending to sub 75% loan to value.

They are saying this is temporary due to surveyors not being able to access properties but I have my doubts.

If you are buying with a 15% deposit or more you should be OK but if 2008 is anything to go by 90 & 95% loans will disappear for a while and those available will be high rates.

Some lenders are increasing rates at the moment and virtually none have reduced their fixed rates since the headline rate cuts.

You say you are in no rush but it took 5 years for some people to be able to buy again after 2008 due to criteria being tightened and deposits needing to be bigger.

Sorry for the early hours reply but a new baby means a funny sleeping pattern at the moment !
IP: Logged
MAD_POG Posted on 08/04/2020 04:15

Buying a house
Just to back up the above one lenders communication to the industry :

Cases at Pre offer stage
All cases are on hold until further notice. We’ll constantly review this and communicate further, either holistically or on specific cases when this changes. Unfortunately, in this market, we’re not able to put a timescale on this right now.
Cases at Offer stage
Where we’ve issued an offer, our underwriters will continue to review cases and will communicate next steps with you as soon as they can.

Purchases
Where a case has already exchanged, we’ll review the customer’s affordability to ensure this is still right for them.
Where the case is offered and not exchanged as of 3rd April 2020, we’ll pause the application for an initial 3 months. We’ll constantly review our processes in line with market conditions and government advice, but for now, we will not progress these cases.

I would imagine even the major high street lenders will audit cases as they will be scared of another mis selling issue when people claim they were sold unaffordable loans down the line/FCA start fining them.

I can't see any way out of it unless Government step in with a variation on the Help to Buy scheme but to be honest they are going to have bigger problems to solve over the next couple of years.




IP: Logged
Ingleby_Flash1 Posted on 08/04/2020 08:55
Edited On: 08/04/2020 10:05
Buying a house
ExFoothLegs has it spot on.

Prices will be lower and for a long time, take no notice of those telling you to do the decent thing and plunge yourself into negative equity. All you’re doing is taking the vendors now inevitable losses on yourself, why would you do that? Put everything on hold and reassess in a few months when things settle.

The only exception to this is if it’s your dream forever home, in which case go for it.
IP: Logged
Cuthbert Posted on 08/04/2020 11:30
Edited On: 08/04/2020 11:32
Buying a house
Some pretty bad advice on this thread.

Ingleby_Flash is right. IF the market moves significantly, then you are absolutely within your rights to try to renegotiate the price. The people you are buying from would probably do the same with their vendors. It's how markets work.

That said, I don't think Coronavirus is something that's going to cause a 'crash' in prices. A crash in demand currently, obviously, but probably not prices.
IP: Logged
Wev1 Posted on 08/04/2020 12:47
Edited On: 08/04/2020 12:57
Buying a house
If your job is not 100% safe and negative equity is a practical certainty for the next 1-2 years then I would walk away. House prices will go down by 5-10%, they pretty much have to, purely because of covid and the jobs lost. The North East could be effected even more, and then maybe a much longer recovery due to brexit (as we and other countries will not have resources to be sorting any trade deals now).

Fair enough, nearly everyone will say that this is not the right thing, but neither is possibly bankrupting yourself, and you need to look after no 1, as nobody else will.

The long term house price increase is a bit of a myth for recent times, especially for the North East. House prices in Middlesbrough are the same as what they were in 2006, and that was even pre the peak of the bubble. We're down about 10% since 2008.
Stockton is up about 5% on 2006, but that's probably effected by new houses in better areas costing more than old small ones in bad areas, dragging the average up.
Recar/ Guisbrough is still the same.

No increase in 14 years is a horrendous investment, considering inflation in that time, and the opportunity cost is massive. Opportunity cost is what that money could have made you elsewhere in banks or shares etc.

Even including this crash, the S&P 500 would have doubled your money in the same time (and that's not anywhere buying near the dip and selling the peak, as that would have quadrupled your money. It literally would be better, much better, to take out a massive loan, invest it and then rent out a house, and you also get the freedom.

Then also factor in that the birth rate in the 60's/70's was exceptionally high, and now it's exceptionally low (less than enough to maintain the population), and has been for some time. Soon the older ones will be out of their houses, and there will likely be more houses than people need. So that's going to be a big factor 10 years down the line, and it's going to halt any property booms.

Obviously the above might not apply if you're getting the house exceptionally cheap, or you can do it up for low cost, with big gains. But I wouldn't be buying a new house now, no way.



Link: UK house price index (for middlesbrough)
IP: Logged
boromike85 Posted on 08/04/2020 14:19

Buying a house
That all falls down when you double your money on investments but spend it all on rent. At least with a house even with no growth you still have a house. All the money you have "spent" is in equity. The only actual cost is interest payments. A mortgage is more like a long term savings account. You compare the rent vs the interest payments plus maintenance for a true comparison and almost always owning a house come out way ahead. That is why all the wealthiest people own their property and are not renting.

When you consider that you can also get growth from the property market, and your mortgage usually gets cheaper over time compared to rents going up over time then owning a house wins comfortably.
IP: Logged
Wev1 Posted on 08/04/2020 15:57

Buying a house
You can look at it that way if you like, but it's wrong to me, and any sound investor would look at it as wrong in a housing market which is unlikely to grow, and with a massive birth rate issue around the corner.

Just because a lot of people are doing it, does not make it the best way.

The link below explains it better than I can.

Link: Explination
IP: Logged
MAD_POG Posted on 08/04/2020 18:43

Buying a house
Just woke up and read the rest of the messages [;)]
The big problem is always people comparing houses to investments.
They are a home and if you compare it to renting it is a no brainer what everybody always forgets is a mortgage stops rent doesn’t .
Build in apparently 6 in 10 ten year old s will apparently live to 100 and thar is an extra 20 years of rent 😮

Think of it as a home and why wouldn’t you buy when it is actually cheaper per month for most people than renting especially First time buyers
IP: Logged
The_Right_Honourable_Member Posted on 08/04/2020 21:26
Edited On: 08/04/2020 21:28
Buying a house
Housing market will take a massive hit as there's going to be an economic crisis that has never been seen before. Lots of countries will need bailouts and that will include those in the middle income bracket. It will also be a fantastic opportunity to finally increase the social housing stock on a large scale and gain some control over the market. But yes, prices will drop so it's not advisable to be buying right now.

Houses aren't investments for most people - they are homes. So it's fairly irrelevant whether the value of their house goes up or not. It's somewhere to live, not something to draw an income on. The practicalities of life are much more important for most.

With regards to the link of the financial trader bloke. His advice is bad for most people. How many individuals or families are going to move to the other side of the world at the drop of a hat. Hardly any. To suggest renting long term instead of buying doesn't make sense. Again, it's all about the practicalities of life. People have families, friends, jobs, interests and hobbies. They're not going to suddenly jump ship and move to a country where they might pay a bit less tax.

IP: Logged
truck Posted on 11/04/2020 10:45

Buying a house
Long term rental also has another issue, if anyone watched the pension crisis programs on tv a few months ago. Few examples of people renting approaching retirement, for many mortgage / rent is the biggest monthly bill. Renters always have this to pay, if you have bought your house then it is only the other running costs.
A house should be a home first, and long term most downsize once kids have left = spare cash. Renters don't have this.
IP: Logged
1finny Posted on 11/04/2020 11:26

Buying a house
This
‘They are a home’ [^]
IP: Logged
Cleveleyssmoggie Posted on 18/05/2020 08:21

Buying a house
What did you decide to do.



Link: LInk
IP: Logged
Wev1 Posted on 19/05/2020 14:15

Buying a house
"MAD_POG
The big problem is always people comparing houses to investments."
It is an investment (or throwing money/ opportunity away) whether you like it or not, and in the North East it's a bad one especially. Inflation has growing faster than house prices for about the last 13 years. It's not the 90's or 00's anymore, we're past the birth rate peak from the 60's, the UK's birth rate is low, and we've just had a vote where the main aim seemed to be to prevent immigration into the UK.

"MAD_POG
They are a home and if you compare it to renting it is a no brainer what everybody always forgets is a mortgage stops rent doesn’t ."
A "owned" home on a mortgage (a debt liability) to some is a hindrance (whether they even realise it or not), or a shackle and it will certainly stop opportunities (if you want opportunities).
There's nothing stopping you renting a house for 2,3 or 5 years and doing to it what you like. My last two tenants in two different properties were there 7 years and the other has been there 3 and is staying a lot longer, I've told them they can do what they like. I've "owned" my last three properties and never lived in one longer than 3 years. I'll be selling both of the ones I rent out, as soon as the opportunity arises, and the cash certainly won't be going into property.

If you rent within your means, and invest what you would have used as a deposit, the money you make by investing can pay you enough to buy the house with cash, with no borrowing, and you would have bought sooner. You will also have a load left over.

Just watch the link, either all of it from about 5 minutes on.


Link: link
IP: Logged
Wev1 Posted on 19/05/2020 14:35
Edited On: 19/05/2020 14:39
Buying a house
"With regards to the link of the financial trader bloke. His advice is bad for most people. How many individuals or families are going to move to the other side of the world at the drop of a hat. Hardly any. To suggest renting long term instead of buying doesn't make sense. Again, it's all about the practicalities of life. People have families, friends, jobs, interests and hobbies. They're not going to suddenly jump ship and move to a country where they might pay a bit less tax."

It doesn't need to be the other side of the world, it could be 20,50 or 100 miles away but that wasn't intended to be my main point, the main point was the financial difference.

Investing a deposit and gaining the compound interest, then paying rent wherever, not paying house insurance, white goods, boilers etc. Then in 30 years time you're going to have more than enough to buy a house cash, if you want to do that, and with a load left over.

This coupled with the fact that in his example the house prices actually are going up. Why would they go up if we're going to end up with a massively old/top heavy population, and why would they go up in the North East, where there's no sign of any increase for any reason?

For some families they might just want to pick a place and stay there 50 years, that's ok. I'm just pointing out their is an alternative which most don't even realise exists, and their is a strong possibility that they're losing out on opportunities and a better financial situation later down the line. What if one of them gets offered a job on double money 50/100/200 miles away, or their sons/ daughters move away, but they're tied into a house/ mortgage? Of course they can sell up, but what is that going to cost in stamp duty, estate agents fees, solicitors fees etc on a 200k house? 10k? That's a years mortgage payments and rent payments, down the drain.

Just because most people seem to be in a massive rush to get in massive debt for 30 years and keep tying themselves down, does not mean it's the best way, especially not because that's what most of the previous generations have done, so that's all they know. Jesus, I own three properties and run two businesses, so for me to have changed my mind has taken some doing. It's not going to suit everyone, the same way getting a 30 year mortgage should suit everyone, but the UK has just been trained on mortgages and house prices going up, as that's all they know.

IP: Logged
Wev1 Posted on 19/05/2020 14:52

Buying a house
Also, if someone does own a house, then if they want to scale up, then this might not be a bad time if properties are going to take a bit of a hit.

Very roughly, previous:
Sell 200k house for 200k, buy 300k house for 300k = 100k extra cost

Assuming a 20% price decrease:
Sell 200k house for 160k, buy 300k house for 240k = 80k extra cost

But, because most will panic and some will be put in a bad situation then it might become a bit of a buyers market and if you're not desperate you might just lose 10%, but could get 20% off one you may be interested in:
Sell 200k house for 180k, buy 300k house for 240k = 60k extra cost

The above isn't going to happen in every scenario of course, but there should be some opportunities for those scaling up, but it would be the opposite for those scaling down.

I'm still not saying buying a house with a mortgage is a good idea mind, but it's probably a slightly better idea now, than it was a few month back. This would apply at least in the short term, as it will probably pick back up again in a few years. Investments will pick back up in that time too though, so it's horses for courses.
IP: Logged
T_A_D Posted on 20/05/2020 23:02

Buying a house
1finny: "This
‘They are a home’ "

Exactly this for me. I exchanged and completed on Monday after a fairly long pause and a very anxious (understandably) seller.

I'm looking forward to getting in the garden.
IP: Logged
boromike85 Posted on 22/05/2020 12:38

Buying a house
People don't panic sell houses. That just doesn't happen. It's not a share, or an investment etc. for 90% of people. If the market drops then people wait. People with multiple houses might panic sell but people that live in their house just don't.
IP: Logged
UKLL1981 Posted on 22/05/2020 13:16

Buying a house
Anyone that buys a house now is mad. The economic fallout from this is going to be huge, even if prices fall 4% (the industry’s lowest predicted fall) that’s still tens of thousands. I made £60k profit on a house in 2 years during the last recession, was never my intention just got lucky and was with a woman that wanted to move ten minutes after buying it. I’d be stunned if prices don’t fall 10% round my way near Gatwick. They are building thousands of new homes in a area where the economy is going to be hit the hardest in the country.
IP: Logged
Wev1 Posted on 22/05/2020 13:42

Buying a house
There's tons of reasons people can be desperate to sell, that can be partially or completely out of their hands:
A bad break up/ divorce
Recession/ Loss of jobs
Pay cut
Downsizing
Following other family
Hating the area
An area in decline compared to other options
Moving jobs/ location

Over the course of someones 30-60's when they're most active in the house buying market, how many people get effected by those? About 40% of marriages end in divorce and we've had two recessions in the last 15 years, so it's not exactly plain sailing for everyone unfortunately.

I know it's not a share or investment for 90% of people, that's kind of my point, as people might not be looking at it the most cost effective way. They're looking at it the same way it's been looked at for the last 50 years, which is the same way their parents and teachers looked at it, so it's basically all they know. This isn't so bad in a booming market (or in some other areas of the UK), but it's nowhere near that now, and not in the North East, that's for sure.

They may not care about that, or they might think a mortgage is the only option to try and buy a house (or to own a house 20-30 years down the line), which I'm trying to point out that it certainly isn't.

Also, the birth rate has gone from 3 in the 60's to 2 in the 80's, to 1.8 now. That's 1.8 kids per woman, compared to 3. So pretty much 0.9 per person now, rather than 1.5. What happens when those born in the population boom no longer need houses, who is going to live in them? We keep slamming the door in immigration too.

IP: Logged
boromike85 Posted on 22/05/2020 14:08

Buying a house
Panic selling is different from having a reason to sell. Most of those situations wouldn't require a house sale if the market wasn't right. Nobody is going to be selling and losing 10s of thousands of pounds to save money which is what would be needed in a recession/pay cut scenario. Those are mostly just reasons that people would want to sell.

As for who is going to live in those houses well people used to buy their first home in their 20s, now it is mid 30s. There are millions of people that are living with parents or are renting that want to buy. Then there is still mass immigration, whether the door has or will be slammed or not. Those numbers are all rising far faster than the number of houses being built.

When you compare the 2 options of renting and buying then buying almost always wins from a financial perspective and from a security perspective. Most people want a home and move out of necessity. They don't want the flexibility, they want security. It's the same as the argument about zero hour contracts and permanent jobs.
IP: Logged
1finny Posted on 22/05/2020 14:50

Buying a house
My lads moved into their new home on London a few weeks ago.
They have had years of renting, moving, renting and moving.

They are so happy.
Can’t believe the stuff they are spending their money on - cushions FFS [;)]

In fairness their partners are living their too.
IP: Logged
Wev1 Posted on 22/05/2020 15:45
Edited On: 22/05/2020 15:47
Buying a house
Yeah, I didn't mean people would just think "oh $hit there's a pandemic, lets sell", I mean more along the lines of people in $hit situation will panic and take a lower price than they probably could have got if they hung on etc.

People won't have a choice if they go out of work, if they can't pay the mortgage and bills etc, they would be forced to downsize or rent something cheaper and cash in any equity.

People buying houses later, just means less houses are needed (assuming they're in with parents, or joint renting), unless they're living in them for longer (which they might as people are healthier older). I don't think this means much either way.

Mass migration of unskilled is now looking less likely, as that's pretty much reason number 1 why people voted for brexit, and with that we get a nice dash of uncertainty at best, or a big economic problem at worst. Neither mean we're heading for a house price boom.

The world birth rate is now less than the birth rate needed to sustain the world population too, and it would be through the floor if it wasn't for Africa propping it up. So if the number of migrants are decreasing, and our country is less attractive (brexit), then who would even want to come here, skilled or unskilled. Even the migrants will have better choices.

Give me an example how buying with a mortgage beats renting (and investing your deposit elsewhere), if you're buying in the north east, when we're not in a population boom, an immigration boom or house price boom. It's the perfect storm working against us.

You don't have security buying a house with a mortgage, you've got 20-30 years of debt, and any one problem can kick you out of the house you "own". You've not got any security sticking in the same house renting either though, of course I will agree with that, but you certainly do have more freedom. The chance of losing your job or needing to sell is probably more than losing a rental, if you're a good tennant. I don't know anyone that's evicted a tennant just for the sake of it.

Some companies need to give out zero hour contracts, or there's no contracts at all. 50% of a job that exists is better than 100% of a job that doesn't exist. In an ideal world most would prefer a full time job, of course, but the world isn't ideal. Some companies are taking the pi$$ on this though.
You've also got contractors earning 2-5x normal rates, by choosing/ risking being a contractor, they're effectively on zero hours, but they know they will get more money in hopping around, than if working full time elsewhere.

IP: Logged
Emmersons_BrazillianDong Posted on 23/05/2020 00:21

Buying a house
Boro Mike [^]
IP: Logged
truck Posted on 23/05/2020 11:41

Buying a house
Wev1,
while for some the invest a deposit route may work, especially if they are topping this up with earnings so not just working with the initial fund. If you look at 25 years being typical mortgage period I have an illustration.

£10,000 invested getting 7% pa over 25 years becomes £54,000
Assuming renting at £600 month, and rent increases 2% a year ( I know not always this), over 25 years you will have paid a total of £230K out in rent. Less if the rent is not always increasing but it will rise over time. For some areas not by much, others say London always going up.
A mortgage of £600 month does not keep rising year on year unless interest rates rise, but this would be £180K paid out if rate stays the same for the contract period and you can get 10 year fixed deals so cost can be stabilsed.
So in the period that most take to buy their house renting has cost more, OK you will not have the responsibility of any repairs and freedom to move quickly if needed.
The house buyer now owns the house, so has something for his money, the renter has nothing. Hopefully their income will have risen over the period so the mortgage is less of a burden allowing him free cash to invest (pensions anybody?) and just having free cash.
Long term I fail to see how renting is better financially, and even more when you reach pension age where you are then still looking at a large outgoing but without for many the good income.

Colleague at work like many only moved twice, home is now paid for in his late 40's so now the mortgage savings is going into investments/pension.

But each to their own.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213